
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GENMANIP_SCAN_H
#define GENMANIP_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genBasicScan.h"


/* Structures du module */
#include "genManipPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_GENMANIP_STR ( FILE *in, FILE *out,
       struct GENMANIP_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_ATTENTIONAL_INPUT ( FILE *in, FILE *out,
       struct GENMANIP_ATTENTIONAL_INPUT *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_ATTENTIONAL_POS ( FILE *in, FILE *out,
       struct GENMANIP_ATTENTIONAL_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_POSE_STR ( FILE *in, FILE *out,
       struct GENMANIP_POSE_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_MOUSE3D_STR ( FILE *in, FILE *out,
       struct GENMANIP_MOUSE3D_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_FORCE_EVENT_STR ( FILE *in, FILE *out,
       struct GENMANIP_FORCE_EVENT_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_GENMANIP_FORCE_EVENT_ENUM ( FILE *in, FILE *out,
       enum GENMANIP_FORCE_EVENT_ENUM *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_SET_POSE_STR ( FILE *in, FILE *out,
       struct GENMANIP_SET_POSE_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_SET_ORIENTATION_STR ( FILE *in, FILE *out,
       struct GENMANIP_SET_ORIENTATION_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_SET_POSITION_STR ( FILE *in, FILE *out,
       struct GENMANIP_SET_POSITION_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_DOF ( FILE *in, FILE *out,
       struct GENMANIP_DOF *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_MOTION_STR ( FILE *in, FILE *out,
       struct GENMANIP_MOTION_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_CONFIG ( FILE *in, FILE *out,
       struct GENMANIP_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_POSITION_STR ( FILE *in, FILE *out,
       struct GENMANIP_POSITION_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_TRAJ7_TRACK_STR ( FILE *in, FILE *out,
       struct GENMANIP_TRAJ7_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_SEGMENT7_STR ( FILE *in, FILE *out,
       struct GENMANIP_SEGMENT7_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_SAHAND_STR ( FILE *in, FILE *out,
       struct GENMANIP_SAHAND_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_POSITION_ARM_SAHAND_TRACK_STR ( FILE *in, FILE *out,
       struct GENMANIP_POSITION_ARM_SAHAND_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_POSITION_SAHAND_STR ( FILE *in, FILE *out,
       struct GENMANIP_POSITION_SAHAND_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_POSITION_SAHAND_FINGER_STR ( FILE *in, FILE *out,
       struct GENMANIP_POSITION_SAHAND_FINGER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_POSITION7_TRACK_STR ( FILE *in, FILE *out,
       struct GENMANIP_POSITION7_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_POSITION_TRACK_STR ( FILE *in, FILE *out,
       struct GENMANIP_POSITION_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_COLLISION_STATE_STR ( FILE *in, FILE *out,
       struct GENMANIP_COLLISION_STATE_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_GENMANIP_COLLISION_STATE_ENUM ( FILE *in, FILE *out,
       enum GENMANIP_COLLISION_STATE_ENUM *x, int indent, int nDim, int *dims );
extern int scan_enum_GENMANIP_ON_OFF_ENUM ( FILE *in, FILE *out,
       enum GENMANIP_ON_OFF_ENUM *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_STRING2048 ( FILE *in, FILE *out,
       struct GENMANIP_STRING2048 *x, int indent, int nDim, int *dims );
extern int scan_struct_GENMANIP_STRING1024 ( FILE *in, FILE *out,
       struct GENMANIP_STRING1024 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_jac7 ( FILE *in, FILE *out,
       struct Gb_jac7 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_jac ( FILE *in, FILE *out,
       struct Gb_jac *x, int indent, int nDim, int *dims );
extern int scan_enum_Gb_statusMGI ( FILE *in, FILE *out,
       enum Gb_statusMGI *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_dataMGD ( FILE *in, FILE *out,
       struct Gb_dataMGD *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_q7 ( FILE *in, FILE *out,
       struct Gb_q7 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_q6 ( FILE *in, FILE *out,
       struct Gb_q6 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_6rParameters ( FILE *in, FILE *out,
       struct Gb_6rParameters *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_quat ( FILE *in, FILE *out,
       struct Gb_quat *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_m33 ( FILE *in, FILE *out,
       struct Gb_m33 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_dep ( FILE *in, FILE *out,
       struct Gb_dep *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_th ( FILE *in, FILE *out,
       struct Gb_th *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_v6 ( FILE *in, FILE *out,
       struct Gb_v6 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_v3 ( FILE *in, FILE *out,
       struct Gb_v3 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_force ( FILE *in, FILE *out,
       struct Gb_force *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_vitesse ( FILE *in, FILE *out,
       struct Gb_vitesse *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_objectMotion ( FILE *in, FILE *out,
       struct Gb_objectMotion *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_objectPose ( FILE *in, FILE *out,
       struct Gb_objectPose *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_euler ( FILE *in, FILE *out,
       struct Gb_euler *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_point3D ( FILE *in, FILE *out,
       struct Gb_point3D *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_point2D ( FILE *in, FILE *out,
       struct Gb_point2D *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_motionMat ( FILE *in, FILE *out,
       struct Gb_motionMat *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_thMat ( FILE *in, FILE *out,
       struct Gb_thMat *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_Gb_thMat ( FILE *in, FILE *out,
       Gb_thMat *x, int indent, int nDim, int *dims );
extern int scan_Gb_motionMat ( FILE *in, FILE *out,
       Gb_motionMat *x, int indent, int nDim, int *dims );
extern int scan_Gb_point2D ( FILE *in, FILE *out,
       Gb_point2D *x, int indent, int nDim, int *dims );
extern int scan_Gb_point3D ( FILE *in, FILE *out,
       Gb_point3D *x, int indent, int nDim, int *dims );
extern int scan_Gb_euler ( FILE *in, FILE *out,
       Gb_euler *x, int indent, int nDim, int *dims );
extern int scan_Gb_objectPose ( FILE *in, FILE *out,
       Gb_objectPose *x, int indent, int nDim, int *dims );
extern int scan_Gb_objectMotion ( FILE *in, FILE *out,
       Gb_objectMotion *x, int indent, int nDim, int *dims );
extern int scan_Gb_vitesse ( FILE *in, FILE *out,
       Gb_vitesse *x, int indent, int nDim, int *dims );
extern int scan_Gb_force ( FILE *in, FILE *out,
       Gb_force *x, int indent, int nDim, int *dims );
extern int scan_Gb_v3 ( FILE *in, FILE *out,
       Gb_v3 *x, int indent, int nDim, int *dims );
extern int scan_Gb_v6 ( FILE *in, FILE *out,
       Gb_v6 *x, int indent, int nDim, int *dims );
extern int scan_Gb_th ( FILE *in, FILE *out,
       Gb_th *x, int indent, int nDim, int *dims );
extern int scan_Gb_dep ( FILE *in, FILE *out,
       Gb_dep *x, int indent, int nDim, int *dims );
extern int scan_Gb_m33 ( FILE *in, FILE *out,
       Gb_m33 *x, int indent, int nDim, int *dims );
extern int scan_Gb_quat ( FILE *in, FILE *out,
       Gb_quat *x, int indent, int nDim, int *dims );
extern int scan_Gb_6rParameters ( FILE *in, FILE *out,
       Gb_6rParameters *x, int indent, int nDim, int *dims );
extern int scan_Gb_q6 ( FILE *in, FILE *out,
       Gb_q6 *x, int indent, int nDim, int *dims );
extern int scan_Gb_q7 ( FILE *in, FILE *out,
       Gb_q7 *x, int indent, int nDim, int *dims );
extern int scan_Gb_dataMGD ( FILE *in, FILE *out,
       Gb_dataMGD *x, int indent, int nDim, int *dims );
extern int scan_Gb_statusMGI ( FILE *in, FILE *out,
       Gb_statusMGI *x, int indent, int nDim, int *dims );
extern int scan_Gb_jac ( FILE *in, FILE *out,
       Gb_jac *x, int indent, int nDim, int *dims );
extern int scan_Gb_jac7 ( FILE *in, FILE *out,
       Gb_jac7 *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_STRING1024 ( FILE *in, FILE *out,
       GENMANIP_STRING1024 *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_STRING2048 ( FILE *in, FILE *out,
       GENMANIP_STRING2048 *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_ON_OFF_ENUM ( FILE *in, FILE *out,
       GENMANIP_ON_OFF_ENUM *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_COLLISION_STATE_ENUM ( FILE *in, FILE *out,
       GENMANIP_COLLISION_STATE_ENUM *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_COLLISION_STATE_STR ( FILE *in, FILE *out,
       GENMANIP_COLLISION_STATE_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_POSITION_TRACK_STR ( FILE *in, FILE *out,
       GENMANIP_POSITION_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_POSITION7_TRACK_STR ( FILE *in, FILE *out,
       GENMANIP_POSITION7_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_POSITION_SAHAND_FINGER_STR ( FILE *in, FILE *out,
       GENMANIP_POSITION_SAHAND_FINGER_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_POSITION_SAHAND_STR ( FILE *in, FILE *out,
       GENMANIP_POSITION_SAHAND_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_POSITION_ARM_SAHAND_TRACK_STR ( FILE *in, FILE *out,
       GENMANIP_POSITION_ARM_SAHAND_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_SAHAND_STR ( FILE *in, FILE *out,
       GENMANIP_SAHAND_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_SEGMENT7_STR ( FILE *in, FILE *out,
       GENMANIP_SEGMENT7_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_TRAJ7_TRACK_STR ( FILE *in, FILE *out,
       GENMANIP_TRAJ7_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_POSITION_STR ( FILE *in, FILE *out,
       GENMANIP_POSITION_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_CONFIG ( FILE *in, FILE *out,
       GENMANIP_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_MOTION_STR ( FILE *in, FILE *out,
       GENMANIP_MOTION_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_DOF ( FILE *in, FILE *out,
       GENMANIP_DOF *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_SET_POSITION_STR ( FILE *in, FILE *out,
       GENMANIP_SET_POSITION_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_SET_ORIENTATION_STR ( FILE *in, FILE *out,
       GENMANIP_SET_ORIENTATION_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_SET_POSE_STR ( FILE *in, FILE *out,
       GENMANIP_SET_POSE_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_FORCE_EVENT_ENUM ( FILE *in, FILE *out,
       GENMANIP_FORCE_EVENT_ENUM *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_FORCE_EVENT_STR ( FILE *in, FILE *out,
       GENMANIP_FORCE_EVENT_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_MOUSE3D_STR ( FILE *in, FILE *out,
       GENMANIP_MOUSE3D_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_POSE_STR ( FILE *in, FILE *out,
       GENMANIP_POSE_STR *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_ATTENTIONAL_POS ( FILE *in, FILE *out,
       GENMANIP_ATTENTIONAL_POS *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_ATTENTIONAL_INPUT ( FILE *in, FILE *out,
       GENMANIP_ATTENTIONAL_INPUT *x, int indent, int nDim, int *dims );
extern int scan_GENMANIP_STR ( FILE *in, FILE *out,
       GENMANIP_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* GENMANIP_SCAN_H */

